package com.ejie.y42b.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 *  
 * 
 */
public class Y42bFormEntidad {

	private String entidadId;
	private String grupoId;
	private String nombreEs;
	private String nombreEu;
	private boolean kontsumoGest;
	private boolean formativa;
	private boolean kontsumoNet;
	private boolean consultaWeb;
	private String activa;
	private String observaciones;
	private String telefono;
	private String fax;
	private String email;
	private String url;
	private String fechaActualizacion;
	private String usuarioActualizacion;
	private String etiquetas;
	private String etiquetasIds;
	private String grupos;
	private String usuario;
	private String password;
	private List<Contacto> contactoList;
	private String localizacionInternacional;
	// Localizaciones España
	private String provinciaId;
	private String municipioId;
	private String localidadId;
	private String codigoPostal;
	private String calleId;
	private String portal;
	private String portalId;
	// Otras localizaciones
	private String paisId;
	private String localidad;
	private String postCode;
	private String calle;
	private String compleDirec;
	private String codOrg;

	// nuevos
	private String torcodigo;
	private String tagcodigo;
	private String cif;

	/**
	 * @return the tipoOrganismo
	 */
	public String getTorcodigo() {
		return torcodigo;
	}

	/**
	 * @param tipoOrganismo
	 *            the tipoOrganismo to set
	 */
	public void setTorcodigo(String torcodigo) {
		this.torcodigo = torcodigo;
	}

	/**
	 * @return the ambitoGeografico
	 */
	public String getTagcodigo() {
		return tagcodigo;
	}

	/**
	 * @param ambitoGeografico
	 *            the ambitoGeografico to set
	 */
	public void setTagcodigo(String tagcodigo) {
		this.tagcodigo = tagcodigo;
	}

	/**
	 * @return the cif
	 */
	public String getCif() {
		return cif;
	}

	/**
	 * @param cif
	 *            the cif to set
	 */
	public void setCif(String cif) {
		this.cif = cif;
	}

	/**
	 * @return the codOrg
	 */
	public String getCodOrg() {
		return codOrg;
	}

	/**
	 * @param codOrg
	 *            the codOrg to set
	 */
	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	/**
	 * @return the compleDirec
	 */
	public String getCompleDirec() {
		return compleDirec;
	}

	/**
	 * @param compleDirec
	 *            the compleDirec to set
	 */
	public void setCompleDirec(String compleDirec) {
		this.compleDirec = compleDirec;
	}

	/**
	 * 
	 * @return entidadId
	 */
	public String getEntidadId() {
		return this.entidadId;
	}

	/**
	 * 
	 * @param entidadId
	 *            String
	 */
	public void setEntidadId(String entidadId) {
		this.entidadId = entidadId;
	}

	/**
	 * @return the grupoId
	 */
	public String getGrupoId() {
		return this.grupoId;
	}

	/**
	 * @param grupoId
	 *            the grupoId to set
	 */
	public void setGrupoId(String grupoId) {
		this.grupoId = grupoId;
	}

	/**
	 * 
	 * @return nombreEs
	 */
	public String getNombreEs() {
		return this.nombreEs;
	}

	/**
	 * 
	 * @param nombreEs
	 *            String
	 */
	public void setNombreEs(String nombreEs) {
		this.nombreEs = nombreEs;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getNombreEu() {
		return this.nombreEu;
	}

	/**
	 * 
	 * @param nombreEu
	 *            String
	 */
	public void setNombreEu(String nombreEu) {
		this.nombreEu = nombreEu;
	}

	/**
	 * 
	 * @return ""
	 */
	public boolean isKontsumoGest() {
		return this.kontsumoGest;
	}

	/**
	 * 
	 * @param kontsumoGest
	 *            boolean
	 */
	public void setKontsumoGest(boolean kontsumoGest) {
		this.kontsumoGest = kontsumoGest;
	}

	/**
	 * 
	 * @return ""
	 */
	public boolean isFormativa() {
		return this.formativa;
	}

	/**
	 * 
	 * @param formativa
	 *            boolean
	 */
	public void setFormativa(boolean formativa) {
		this.formativa = formativa;
	}

	/**
	 * 
	 * @return String
	 */
	public boolean isKontsumoNet() {
		return this.kontsumoNet;
	}

	/**
	 * 
	 * @param kontsumoNet
	 *            boolean
	 */
	public void setKontsumoNet(boolean kontsumoNet) {
		this.kontsumoNet = kontsumoNet;
	}

	/**
	 * 
	 * @return ""
	 */
	public boolean isConsultaWeb() {
		return this.consultaWeb;
	}

	/**
	 * 
	 * @param consultaWeb
	 *            boolean
	 */
	public void setConsultaWeb(boolean consultaWeb) {
		this.consultaWeb = consultaWeb;
	}

	/**
	 * 
	 * @return activa
	 */
	public String getActiva() {
		return this.activa;
	}

	/**
	 * 
	 * @param activa
	 *            String
	 */
	public void setActiva(String activa) {
		this.activa = activa;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getObservaciones() {
		return this.observaciones;
	}

	/**
	 * 
	 * @param observaciones
	 *            String
	 */
	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getTelefono() {
		return this.telefono;
	}

	/**
	 * 
	 * @param telefono
	 *            String
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getFax() {
		return this.fax;
	}

	/**
	 * 
	 * @param fax
	 *            String
	 */
	public void setFax(String fax) {
		this.fax = fax;
	}

	/**
	 * 
	 * @return String
	 */
	public String getEmail() {
		return this.email;
	}

	/**
	 * 
	 * @param email
	 *            String
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * 
	 * @return String
	 */
	public String getUrl() {
		return this.url;
	}

	/**
	 * 
	 * @param url
	 *            String
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * 
	 * @return String
	 */
	public String getFechaActualizacion() {
		return this.fechaActualizacion;
	}

	/**
	 * 
	 * @param fechaActualizacion
	 *            String
	 */
	public void setFechaActualizacion(String fechaActualizacion) {
		this.fechaActualizacion = fechaActualizacion;
	}

	/**
	 * @return the lista_etiquetas
	 */
	public String getEtiquetas() {
		return this.etiquetas;
	}

	/**
	 * @param etiquetas
	 *            the lista_etiquetas to set
	 */
	public void setEtiquetas(String etiquetas) {
		this.etiquetas = etiquetas;
	}

	/**
	 * @return the lista_etiquetasIds
	 */
	public String getEtiquetasIds() {
		return this.etiquetasIds;
	}

	/**
	 * @param etiquetasIds
	 *            the lista_etiquetasIds to set
	 */
	public void setEtiquetasIds(String etiquetasIds) {
		this.etiquetasIds = etiquetasIds;
	}

	/**
	 * @return the grupos
	 */
	public String getGrupos() {
		return this.grupos;
	}

	/**
	 * @param grupos
	 *            the grupos to set
	 */
	public void setGrupos(String grupos) {
		this.grupos = grupos;
	}

	/**
	 * 
	 * @return String
	 */
	public String getUsuario() {
		return this.usuario;
	}

	/**
	 * 
	 * @param usuario
	 *            String
	 */
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPassword() {
		return this.password;
	}

	/**
	 * 
	 * @param password
	 *            String
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * 
	 * @return List
	 */
	public List<Contacto> getContactoList() {
		if (this.contactoList == null) {
			this.contactoList = new ArrayList<Contacto>();
		}
		return this.contactoList;
	}

	/**
	 * 
	 * @param contactoList
	 *            List
	 */
	public void setContactoList(List<Contacto> contactoList) {
		this.contactoList = contactoList;
	}

	/**
	 * 
	 * @return String
	 */
	public String getLocalizacionInternacional() {
		return this.localizacionInternacional;
	}

	/**
	 * 
	 * @param localizacionInternacional
	 *            String
	 */
	public void setLocalizacionInternacional(String localizacionInternacional) {
		this.localizacionInternacional = localizacionInternacional;
	}

	/**
	 * 
	 * @return String
	 */
	public String getProvinciaId() {
		return this.provinciaId;
	}

	/**
	 * 
	 * @param provinciaId
	 *            String
	 */
	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getMunicipioId() {
		return this.municipioId;
	}

	/**
	 * 
	 * @param municipioId
	 *            String
	 */
	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getLocalidadId() {
		return this.localidadId;
	}

	/**
	 * 
	 * @param localidadId
	 *            String
	 */
	public void setLocalidadId(String localidadId) {
		this.localidadId = localidadId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * 
	 * @param codigoPostal
	 *            String
	 */
	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * 
	 * @return String
	 */
	public String getCalleId() {
		return this.calleId;
	}

	/**
	 * 
	 * @param calleId
	 *            String
	 */
	public void setCalleId(String calleId) {
		this.calleId = calleId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPortal() {
		return this.portal;
	}

	/**
	 * 
	 * @param portal
	 *            String
	 */
	public void setPortal(String portal) {
		this.portal = portal;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPortalId() {
		return this.portalId;
	}

	/**
	 * 
	 * @param portalId
	 *            String
	 */
	public void setPortalId(String portalId) {
		this.portalId = portalId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPaisId() {
		return this.paisId;
	}

	/**
	 * 
	 * @param paisId
	 *            String
	 */
	public void setPaisId(String paisId) {
		this.paisId = paisId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getLocalidad() {
		return this.localidad;
	}

	/**
	 * 
	 * @param localidad
	 *            String
	 */
	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPostCode() {
		return this.postCode;
	}

	/**
	 * 
	 * @param postCode
	 *            String
	 */
	public void setPostCode(String postCode) {
		this.postCode = postCode;
	}

	/**
	 * 
	 * @return String
	 */
	public String getCalle() {
		return this.calle;
	}

	/**
	 * 
	 * @param calle
	 *            String
	 */
	public void setCalle(String calle) {
		this.calle = calle;
	}

	/**
	 * 
	 * @param usuarioActualizacion
	 *            String
	 */
	public void setUsuarioActualizacion(String usuarioActualizacion) {
		this.usuarioActualizacion = usuarioActualizacion;
	}

	/**
	 * 
	 * @return String
	 */
	public String getUsuarioActualizacion() {
		return this.usuarioActualizacion;
	}

}
